%define gitver %{echo %version | tr ~ -}
Name:          opendkim
Version:       2.11.0~beta2
Release:       1mamba
Summary:       A DomainKeys Identified Mail (DKIM) milter to sign and/or verify mail
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://dkim.org/
Source:        https://github.com/trusteddomainproject/OpenDKIM.git/%{gitver}/OpenDKIM-%{version}.tar.bz2
Source1:       opendkim.sysusers
Source2:       opendkim.tmpfiles
Source3:       opendkim.service
Source4:       opendkim.conf
Patch0:        opendkim-2.11.0~beta2-delete_Authentication-Results_headers_in_reverse.patch
Patch1:        opendkim-2.11.0~beta2-lua-5.3.patch
Patch2:        opendkim-2.11.0~beta2-comment-separator.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdb53-devel
BuildRequires: liblua51-devel
BuildRequires: libmemcached-devel
BuildRequires: libopendbx-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: perl-devel
BuildRequires: shadow
## AUTOBUILDREQ-END
BuildRequires: libmilter-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A DomainKeys Identified Mail (DKIM) milter to sign and/or verify mail.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n OpenDKIM-%{version}
%patch 0 -p1 -b .delete_Authentication-Results_headers_in_reverse
%patch 1 -p1 -b .lua-5.3
%patch 2 -p1 -b .comment-separator

autoreconf -f -i

%build
%configure \
   --sbindir=%{_bindir} \
   --with-odbx \
   --with-db \
   --with-libmemcached \
   --with-sql-backend \
   --with-openldap \
   --enable-query_cache \
   --with-lua

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/opendkim.conf
install -D -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/opendkim.conf
install -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/opendkim.service
install -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/opendkim.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
%sysusers_create_package opendkim %{SOURCE1}
%tmpfiles_create_package opendkim %{SOURCE2}
:

%post
%systemd_post opendkim
:

%preun
%systemd_preun opendkim
:

%postun
%systemd_postun_with_restart opendkim
:

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/opendkim.conf
%{_bindir}/miltertest
%{_bindir}/opendkim
%{_bindir}/opendkim-genkey
%{_bindir}/opendkim-genzone
%{_bindir}/opendkim-testkey
%{_bindir}/opendkim-testmsg
%{_unitdir}/opendkim.service
%{_sysusersdir}/opendkim.conf
%{_tmpfilesdir}/opendkim.conf
%{_mandir}/man3/opendkim-lua.3*
%{_mandir}/man5/opendkim.conf.5*
%{_mandir}/man8/miltertest.8*
%{_mandir}/man8/opendkim*.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopendkim.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/opendkim/dkim.h
%{_libdir}/libopendkim.a
%{_libdir}/libopendkim.so
%{_libdir}/pkgconfig/opendkim.pc
%dir %{_docdir}/opendkim
%{_docdir}/opendkim/*
%doc README README.ERLANG

%changelog
* Sat Feb 01 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0~beta2-1mamba
- package created using the webbuild interface
